--- old/usr/src/lib/libdisasm/common/libdisasm_impl.h	2014-08-01 15:57:44.602466052 -0400
+++ new/usr/src/lib/libdisasm/common/libdisasm_impl.h	2014-08-01 15:57:44.608096243 -0400
@@ -23,11 +23,15 @@
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  * Copyright 2012 Joshua M. Clulow <josh@sysmgr.org>
+ * Copyright 2014 Nexenta Systems, Inc.  All rights reserved.
  */
 
 #ifndef	_LIBDISASM_IMPL_H
 #define	_LIBDISASM_IMPL_H
 
+#include <stdarg.h>
+#include <sys/sysmacros.h>
+
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -58,6 +62,8 @@
 
 extern void *dis_zalloc(size_t);
 extern void dis_free(void *, size_t);
+extern int dis_vsnprintf(char *restrict, size_t, const char *restrict, va_list);
+extern int dis_snprintf(char *restrict, size_t, const char *restrict, ...);
 
 #ifdef	__cplusplus
 }
